Thank you so much! I'll definitely cover it within the top 50 Meta questions, but it might be a bit towards the middle or even end since there are so many variants for it, and it's sometimes asked in Meta mock interviews (so it may not be as useful).
Thanks for making this video. I do see in the discuss that there is a morris traversal based solution also possible. Would Meta (or as a matter of fact any other similar company) expect an O(1) space solution?
Hi, thanks for the great videos. QQ: You said Meta will always ask you to solve it iteratively, is that for every tree/graph problem? That would make a lot of these questions, especially graph and also some Tree(calculate max diameter) extremely hard to code in the 20 minute timeslot unless you have seen/done it iteratively before. Can you please clarify?
Thank you! For binary trees, the majority of the time they'll ask for the iterative version especially for problems like "Implement Inorder traversal as an iterator class" or Leetcode problem 426. The one you mentioned will be in DFS. That's one where there is a BFS solution (using centroids) but Meta doesn't expect that solution. Graphs are typically DFS like Leetcode problem 133.
@@CodingWithMinmer Hey thanks for the helpful video! I found your comments on Leetcode and have been going through all your videos :) Do you know if a breadth first search solution for this problem would be accepted by the interviewers, or will they push you to implement the DFS way?
I LOVE your channel! Would you be covering Letter Combinations of Phone and its variants?
Thank you so much! I'll definitely cover it within the top 50 Meta questions, but it might be a bit towards the middle or even end since there are so many variants for it, and it's sometimes asked in Meta mock interviews (so it may not be as useful).
@ Thanks for the reply! Where can I find its variants? Any idea?
@@tanayjoshi1322 You can check out the Leetcode forums. As for the variant for #17, they may replace letters with strings.
Thanks for making this video. I do see in the discuss that there is a morris traversal based solution also possible. Would Meta (or as a matter of fact any other similar company) expect an O(1) space solution?
Thank the heavens that Meta does not expect that algo across any of their tree questions.
Hi, thanks for the great videos. QQ: You said Meta will always ask you to solve it iteratively, is that for every tree/graph problem? That would make a lot of these questions, especially graph and also some Tree(calculate max diameter) extremely hard to code in the 20 minute timeslot unless you have seen/done it iteratively before. Can you please clarify?
Thank you!
For binary trees, the majority of the time they'll ask for the iterative version especially for problems like "Implement Inorder traversal as an iterator class" or Leetcode problem 426.
The one you mentioned will be in DFS. That's one where there is a BFS solution (using centroids) but Meta doesn't expect that solution.
Graphs are typically DFS like Leetcode problem 133.
@@CodingWithMinmer Hey thanks for the helpful video! I found your comments on Leetcode and have been going through all your videos :) Do you know if a breadth first search solution for this problem would be accepted by the interviewers, or will they push you to implement the DFS way?